<?php
if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

add_action( 'save_post', 'sfba_save_form' );

function sfba_save_form( $post_id) {
	/*// Check the value of nonce, if it's Set or not
	if ( ! isset( $_POST['sfba_form_options_nonce_meta_box'] ) ){
		return;
	}
	// Verifying the value of nonce, if it's comes sfba_options_nonce meta box 
	//nonce value and the function name which is saving the for options
	if ( ! wp_verify_nonce( $_POST['sfba_form_options_nonce_meta_box'] , 'sfba_save_form' ) ){
		return;
	}*/
	$post_type = get_post_type($post_id);
	// If this isn't a 'sfba_subscribe_form' post, don't update it.
	if ( "sfba_subscribe_form" != $post_type ) {
		return;
	}

	// Stop WP from clearing custom fields on autosave
	if (defined('DOING_AUTOSAVE') && DOING_AUTOSAVE){
		return;
	}

	// Prevent quick edit from clearing custom fields
	if (defined('DOING_AJAX') && DOING_AJAX){
		return;
	}
	// - Update the post's metadata.

	if ( isset( $_POST['sfba_shortcode_value'] ) ) {
		update_post_meta( $post_id, '_sfba_shortcode_value', sanitize_text_field( $_POST['sfba_shortcode_value'] ) );
	}
	if ( isset( $_POST['sfba_widget_shortcode_value'] ) ) {
		update_post_meta( $post_id, '_sfba_widget_shortcode_value', sanitize_text_field( $_POST['sfba_widget_shortcode_value'] ) );
	}
	if (isset($_POST['sfba_form_template'])) {
		update_post_meta($post_id, '_sfba_form_template', sanitize_text_field( $_POST['sfba_form_template'] ) );
	} 
	if (isset($_POST['sfba_subscription_selection_dd'])) {
		update_post_meta($post_id, '_sfba_subscription_selection_dd', sanitize_text_field( $_POST['sfba_subscription_selection_dd'] ) );
	} 
	if (isset($_POST['sfba_sent_to_email'])) {
		update_post_meta($post_id, '_sfba_sent_to_email', sanitize_text_field( $_POST['sfba_sent_to_email'] ) );
	} 
	if (isset($_POST['sfba_mailchimp_lists'])) {
		update_post_meta($post_id, '_sfba_mailchimp_lists', sanitize_text_field( $_POST['sfba_mailchimp_lists'] ) );
	} 
	if (isset($_POST['sfba_getresponse_lists'])) {
		update_post_meta($post_id, '_sfba_getresponse_lists', sanitize_text_field( $_POST['sfba_getresponse_lists'] ) );
	} 
	if (isset($_POST['sfba_activecampaign_lists'])) {
		update_post_meta($post_id, '_sfba_activecampaign_lists', sanitize_text_field( $_POST['sfba_activecampaign_lists'] ) );
	} 

	// Updating Form Data according to the form selection
	// Form1 Saving Data
	if( get_post_meta($post->ID, '_sfba_form_template', true) !='subscribeform1' ){

		update_post_meta($post_id, '_sfba-form1-consent-on', $_POST['sfba-form1-consent-on'] );
		update_post_meta($post_id, '_sfba-form1-consent-field', $_POST['sfba-form1-consent-field'] );
		
		if ( isset($_POST['sfba-form1-display-name'])) {
			update_post_meta($post_id, '_sfba-form1-display-name', '' );
		} else {
			update_post_meta($post_id, '_sfba-form1-display-name', 'yes' );
		}
		
		if (isset($_POST['sfba-form1-field-position'])) {
			update_post_meta($post_id, '_sfba-form1-field-position', sanitize_text_field( $_POST['sfba-form1-field-position'] ) );
		} 
		
		if (isset($_POST['sfba-form1-fonts'])) {
			update_post_meta($post_id, '_sfba-form1-fonts', sanitize_text_field( $_POST['sfba-form1-fonts'] ) );
		} 


	  if (isset($_POST['sfba-form1-width'])) {
		update_post_meta($post_id, '_sfba-form1-width', sanitize_text_field( $_POST['sfba-form1-width'] ) );
	  } 
	  if (isset($_POST['sfba-form1-background-image'])) {
		update_post_meta($post_id, '_sfba-form1-background-image', sanitize_text_field( $_POST['sfba-form1-background-image'] ) );
	  } 
	  if (isset($_POST['sfba-form1-background-color'])) {
		update_post_meta($post_id, '_sfba-form1-background-color', sanitize_text_field( $_POST['sfba-form1-background-color'] ) );
	  } 
	  if (isset($_POST['sfba-form1-heading'])) {
		update_post_meta($post_id, '_sfba-form1-heading', sanitize_text_field( $_POST['sfba-form1-heading'] ) );
	  } 
	  if (isset($_POST['sfba-form1-heading-color'])) {
		update_post_meta($post_id, '_sfba-form1-heading-color', sanitize_text_field( $_POST['sfba-form1-heading-color'] ) );
	  } 
	  if (isset($_POST['sfba-form1-sub-heading'])) {
		update_post_meta($post_id, '_sfba-form1-sub-heading', sanitize_text_field( $_POST['sfba-form1-sub-heading'] ) );
	  }
	  if (isset($_POST['sfba-form1-sub-heading-color'])) {
		update_post_meta($post_id, '_sfba-form1-sub-heading-color', sanitize_text_field( $_POST['sfba-form1-sub-heading-color'] ) );
	  } 
	  if (isset($_POST['sfba-form1-subscribe-button-text'])) {
		update_post_meta($post_id, '_sfba-form1-subscribe-button-text', sanitize_text_field( $_POST['sfba-form1-subscribe-button-text'] ) );
	  } 
	  if (isset($_POST['sfba-form1-border-size'])) {
		update_post_meta($post_id, '_sfba-form1-border-size', sanitize_text_field( $_POST['sfba-form1-border-size'] ) );
	  } 
	  if (isset($_POST['sfba-form1-border-style'])) {
		update_post_meta($post_id, '_sfba-form1-border-style', sanitize_text_field( $_POST['sfba-form1-border-style'] ) );
	  } 
	  if (isset($_POST['sfba-form1-border-color'])) {
		update_post_meta($post_id, '_sfba-form1-border-color', sanitize_text_field( $_POST['sfba-form1-border-color'] ) );
	  } 
	  if (isset($_POST['sfba-form1-field-border-color'])) {
		update_post_meta($post_id, '_sfba-form1-field-border-color', sanitize_text_field( $_POST['sfba-form1-field-border-color'] ) );
	  }	  
	  if (isset($_POST['sfba-form1-button-background-color'])) {
		update_post_meta($post_id, '_sfba-form1-button-background-color', sanitize_text_field( $_POST['sfba-form1-button-background-color'] ) );
	  } 
	  if (isset($_POST['sfba-form1-button-text-size'])) {
		update_post_meta($post_id, '_sfba-form1-button-text-size', sanitize_text_field( $_POST['sfba-form1-button-text-size'] ) );
	  } 
	  if (isset($_POST['sfba-form1-button-text-color'])) {
		update_post_meta($post_id, '_sfba-form1-button-text-color', sanitize_text_field( $_POST['sfba-form1-button-text-color'] ) );
	  } 
	  if (isset($_POST['sfba-form1-button-border-color'])) {
		update_post_meta($post_id, '_sfba-form1-button-border-color', sanitize_text_field( $_POST['sfba-form1-button-border-color'] ) );
	  } 

	}
	// End Form1 Saving Data

	// Form2 Saving Data
	if( get_post_meta($post->ID, '_sfba_form_template', true) !='subscribeform2' ){
		
		update_post_meta($post_id, '_sfba-form2-consent-on', $_POST['sfba-form2-consent-on'] );
		update_post_meta($post_id, '_sfba-form2-consent-field', $_POST['sfba-form2-consent-field'] );
		
		if ( isset($_POST['sfba-form2-display-name'])) {
			update_post_meta($post_id, '_sfba-form2-display-name', '' );
		} else {
			update_post_meta($post_id, '_sfba-form2-display-name', 'yes' );
		}
		if (isset($_POST['sfba-form2-field-position'])) {
			update_post_meta($post_id, '_sfba-form2-field-position', sanitize_text_field( $_POST['sfba-form2-field-position'] ) );
		} 
		
		if (isset($_POST['sfba-form2-fonts'])) {
			update_post_meta($post_id, '_sfba-form2-fonts', sanitize_text_field( $_POST['sfba-form2-fonts'] ) );
		} 

	  if (isset($_POST['sfba-form2-width'])) {
		update_post_meta($post_id, '_sfba-form2-width', sanitize_text_field( $_POST['sfba-form2-width'] ) );
	  } 
	  if (isset($_POST['sfba-form2-background-image'])) {
		update_post_meta($post_id, '_sfba-form2-background-image', sanitize_text_field( $_POST['sfba-form2-background-image'] ) );
	  } 
	  if (isset($_POST['sfba-form2-background-color'])) {
		update_post_meta($post_id, '_sfba-form2-background-color', sanitize_text_field( $_POST['sfba-form2-background-color'] ) );
	  } 
	  if (isset($_POST['sfba-form2-heading'])) {
		update_post_meta($post_id, '_sfba-form2-heading', sanitize_text_field( $_POST['sfba-form2-heading'] ) );
	  } 
	   if (isset($_POST['sfba-form2-heading-color'])) {
		update_post_meta($post_id, '_sfba-form2-heading-color', sanitize_text_field( $_POST['sfba-form2-heading-color'] ) );
	  } 
	   if (isset($_POST['sfba-form2-sub-heading-color'])) {
		update_post_meta($post_id, '_sfba-form2-sub-heading-color', sanitize_text_field( $_POST['sfba-form2-sub-heading-color'] ) );
	  } 
	  if (isset($_POST['sfba-form2-sub-heading'])) {
		update_post_meta($post_id, '_sfba-form2-sub-heading', sanitize_text_field( $_POST['sfba-form2-sub-heading'] ) );
	  } 
	  if (isset($_POST['sfba-form2-subscribe-button-text'])) {
		update_post_meta($post_id, '_sfba-form2-subscribe-button-text', sanitize_text_field( $_POST['sfba-form2-subscribe-button-text'] ) );
	  } 
	  if (isset($_POST['sfba-form2-border-size'])) {
		update_post_meta($post_id, '_sfba-form2-border-size', sanitize_text_field( $_POST['sfba-form2-border-size'] ) );
	  } 
	  if (isset($_POST['sfba-form2-border-style'])) {
		update_post_meta($post_id, '_sfba-form2-border-style', sanitize_text_field( $_POST['sfba-form2-border-style'] ) );
	  } 
	  if (isset($_POST['sfba-form2-border-color'])) {
		update_post_meta($post_id, '_sfba-form2-border-color', sanitize_text_field( $_POST['sfba-form2-border-color'] ) );
	  } 
	  if (isset($_POST['sfba-form2-field-border-color'])) {
		update_post_meta($post_id, '_sfba-form2-field-border-color', sanitize_text_field( $_POST['sfba-form2-field-border-color'] ) );
	  }
	  if (isset($_POST['sfba-form2-button-background-color'])) {
		update_post_meta($post_id, '_sfba-form2-button-background-color', sanitize_text_field( $_POST['sfba-form2-button-background-color'] ) );
	  } 
	  if (isset($_POST['sfba-form2-button-text-size'])) {
		update_post_meta($post_id, '_sfba-form2-button-text-size', sanitize_text_field( $_POST['sfba-form2-button-text-size'] ) );
	  } 
	  if (isset($_POST['sfba-form2-button-text-color'])) {
		update_post_meta($post_id, '_sfba-form2-button-text-color', sanitize_text_field( $_POST['sfba-form2-button-text-color'] ) );
	  } 
	  if (isset($_POST['sfba-form2-button-border-color'])) {
		update_post_meta($post_id, '_sfba-form2-button-border-color', sanitize_text_field( $_POST['sfba-form2-button-border-color'] ) );
	  } 

	}
	// End Form2 Saving Data


	// Form3 Saving Data
	if( get_post_meta($post->ID, '_sfba_form_template', true) !='subscribeform3' ){
		update_post_meta($post_id, '_sfba-form3-consent-on', $_POST['sfba-form3-consent-on'] );
		update_post_meta($post_id, '_sfba-form3-consent-field', $_POST['sfba-form3-consent-field'] );
		if (isset($_POST['sfba-form3-fonts'])) {
			update_post_meta($post_id, '_sfba-form3-fonts', sanitize_text_field( $_POST['sfba-form3-fonts'] ) );
		} 
		
	  if (isset($_POST['sfba-form3-width'])) {
		update_post_meta($post_id, '_sfba-form3-width', sanitize_text_field( $_POST['sfba-form3-width'] ) );
	  } 
	  if (isset($_POST['sfba-form3-background-image'])) {
		update_post_meta($post_id, '_sfba-form3-background-image', sanitize_text_field( $_POST['sfba-form3-background-image'] ) );
	  } 
	  if (isset($_POST['sfba-form3-background-color'])) {
		update_post_meta($post_id, '_sfba-form3-background-color', sanitize_text_field( $_POST['sfba-form3-background-color'] ) );
	  } 
	  if (isset($_POST['sfba-form3-heading'])) {
		update_post_meta($post_id, '_sfba-form3-heading', sanitize_text_field( $_POST['sfba-form3-heading'] ) );
	  } 
	  if (isset($_POST['sfba-form3-heading-color'])) {
		update_post_meta($post_id, '_sfba-form3-heading-color', sanitize_text_field( $_POST['sfba-form3-heading-color'] ) );
	  } 
	  if (isset($_POST['sfba-form3-sub-heading-color'])) {
		update_post_meta($post_id, '_sfba-form3-sub-heading-color', sanitize_text_field( $_POST['sfba-form3-sub-heading-color'] ) );
	  } 
	  if (isset($_POST['sfba-form3-sub-heading'])) {
		update_post_meta($post_id, '_sfba-form3-sub-heading', sanitize_text_field( $_POST['sfba-form3-sub-heading'] ) );
	  } 
	  if (isset($_POST['sfba-form3-subscribe-button-text'])) {
		update_post_meta($post_id, '_sfba-form3-subscribe-button-text', sanitize_text_field( $_POST['sfba-form3-subscribe-button-text'] ) );
	  } 
	  if (isset($_POST['sfba-form3-border-size'])) {
		update_post_meta($post_id, '_sfba-form3-border-size', sanitize_text_field( $_POST['sfba-form3-border-size'] ) );
	  } 
	  if (isset($_POST['sfba-form3-border-style'])) {
		update_post_meta($post_id, '_sfba-form3-border-style', sanitize_text_field( $_POST['sfba-form3-border-style'] ) );
	  } 
	  if (isset($_POST['sfba-form3-border-color'])) {
		update_post_meta($post_id, '_sfba-form3-border-color', sanitize_text_field( $_POST['sfba-form3-border-color'] ) );
	  } 
	  if (isset($_POST['sfba-form3-field-border-color'])) {
		update_post_meta($post_id, '_sfba-form3-field-border-color', sanitize_text_field( $_POST['sfba-form3-field-border-color'] ) );
	  }
	  if (isset($_POST['sfba-form3-button-background-color'])) {
		update_post_meta($post_id, '_sfba-form3-button-background-color', sanitize_text_field( $_POST['sfba-form3-button-background-color'] ) );
	  } 
	  if (isset($_POST['sfba-form3-button-text-size'])) {
		update_post_meta($post_id, '_sfba-form3-button-text-size', sanitize_text_field( $_POST['sfba-form3-button-text-size'] ) );
	  } 
	  if (isset($_POST['sfba-form3-button-text-color'])) {
		update_post_meta($post_id, '_sfba-form3-button-text-color', sanitize_text_field( $_POST['sfba-form3-button-text-color'] ) );
	  } 
	  if (isset($_POST['sfba-form3-button-border-color'])) {
		update_post_meta($post_id, '_sfba-form3-button-border-color', sanitize_text_field( $_POST['sfba-form3-button-border-color'] ) );
	  } 

	}
	// End Form3 Saving Data


	// Form4 Saving Data
	if( get_post_meta($post->ID, '_sfba_form_template', true) !='subscribeform4' ){
		update_post_meta($post_id, '_sfba-form4-consent-on', $_POST['sfba-form4-consent-on'] );
		update_post_meta($post_id, '_sfba-form4-consent-field', $_POST['sfba-form4-consent-field'] );
		if (isset($_POST['sfba-form4-fonts'])) {
			update_post_meta($post_id, '_sfba-form4-fonts', sanitize_text_field( $_POST['sfba-form4-fonts'] ) );
		} 

	  if (isset($_POST['sfba-form4-width'])) {
		update_post_meta($post_id, '_sfba-form4-width', sanitize_text_field( $_POST['sfba-form4-width'] ) );
	  } 
	  if (isset($_POST['sfba-form4-background-image'])) {
		update_post_meta($post_id, '_sfba-form4-background-image', sanitize_text_field( $_POST['sfba-form4-background-image'] ) );
	  } 
	  if (isset($_POST['sfba-form4-background-color'])) {
		update_post_meta($post_id, '_sfba-form4-background-color', sanitize_text_field( $_POST['sfba-form4-background-color'] ) );
	  } 
	  if (isset($_POST['sfba-form4-heading'])) {
		update_post_meta($post_id, '_sfba-form4-heading', sanitize_text_field( $_POST['sfba-form4-heading'] ) );
	  } 
	   if (isset($_POST['sfba-form4-heading-color'])) {
		update_post_meta($post_id, '_sfba-form4-heading-color', sanitize_text_field( $_POST['sfba-form4-heading-color'] ) );
	  } 
	  if (isset($_POST['sfba-form4-sub-heading-color'])) {
		update_post_meta($post_id, '_sfba-form4-sub-heading-color', sanitize_text_field( $_POST['sfba-form4-sub-heading-color'] ) );
	  } 
	  if (isset($_POST['sfba-form4-sub-heading'])) {
		update_post_meta($post_id, '_sfba-form4-sub-heading', sanitize_text_field( $_POST['sfba-form4-sub-heading'] ) );
	  } 
	  if (isset($_POST['sfba-form4-subscribe-button-text'])) {
		update_post_meta($post_id, '_sfba-form4-subscribe-button-text', sanitize_text_field( $_POST['sfba-form4-subscribe-button-text'] ) );
	  } 
	  if (isset($_POST['sfba-form4-border-size'])) {
		update_post_meta($post_id, '_sfba-form4-border-size', sanitize_text_field( $_POST['sfba-form4-border-size'] ) );
	  } 
	  if (isset($_POST['sfba-form4-border-style'])) {
		update_post_meta($post_id, '_sfba-form4-border-style', sanitize_text_field( $_POST['sfba-form4-border-style'] ) );
	  } 
	  if (isset($_POST['sfba-form4-border-color'])) {
		update_post_meta($post_id, '_sfba-form4-border-color', sanitize_text_field( $_POST['sfba-form4-border-color'] ) );
	  } 
	  if (isset($_POST['sfba-form4-field-border-color'])) {
		update_post_meta($post_id, '_sfba-form4-field-border-color', sanitize_text_field( $_POST['sfba-form4-field-border-color'] ) );
	  }
	  if (isset($_POST['sfba-form4-button-background-color'])) {
		update_post_meta($post_id, '_sfba-form4-button-background-color', sanitize_text_field( $_POST['sfba-form4-button-background-color'] ) );
	  } 
	  if (isset($_POST['sfba-form4-button-text-size'])) {
		update_post_meta($post_id, '_sfba-form4-button-text-size', sanitize_text_field( $_POST['sfba-form4-button-text-size'] ) );
	  } 
	  if (isset($_POST['sfba-form4-button-text-color'])) {
		update_post_meta($post_id, '_sfba-form4-button-text-color', sanitize_text_field( $_POST['sfba-form4-button-text-color'] ) );
	  } 
	  if (isset($_POST['sfba-form4-button-border-color'])) {
		update_post_meta($post_id, '_sfba-form4-button-border-color', sanitize_text_field( $_POST['sfba-form4-button-border-color'] ) );
	  } 

	}
	// End Form4 Saving Data


	// Form5 Saving Data
	if( get_post_meta($post->ID, '_sfba_form_template', true) !='subscribeform5' ){
		update_post_meta($post_id, '_sfba-form5-consent-on', $_POST['sfba-form5-consent-on'] );
		update_post_meta($post_id, '_sfba-form5-consent-field', $_POST['sfba-form5-consent-field'] );		
		
		if ( isset($_POST['sfba-form5-display-name'])) {
			update_post_meta($post_id, '_sfba-form5-display-name', '' );
		} else {
			update_post_meta($post_id, '_sfba-form5-display-name', 'yes' );
		}
		if (isset($_POST['sfba-form5-field-position'])) {
			update_post_meta($post_id, '_sfba-form5-field-position', sanitize_text_field( $_POST['sfba-form5-field-position'] ) );
		} 
		
		if (isset($_POST['sfba-form5-fonts'])) {
			update_post_meta($post_id, '_sfba-form5-fonts', sanitize_text_field( $_POST['sfba-form5-fonts'] ) );
		} 

	  if (isset($_POST['sfba-form5-width'])) {
		update_post_meta($post_id, '_sfba-form5-width', sanitize_text_field( $_POST['sfba-form5-width'] ) );
	  } 
	  if (isset($_POST['sfba-form5-background-image'])) {
		update_post_meta($post_id, '_sfba-form5-background-image', sanitize_text_field( $_POST['sfba-form5-background-image'] ) );
	  } 
		if (isset($_POST['sfba-form5-heading-color'])) {
		update_post_meta($post_id, '_sfba-form5-heading-color', sanitize_text_field( $_POST['sfba-form5-heading-color'] ) );
	  } 
	  if (isset($_POST['sfba-form5-sub-heading-color'])) {
		update_post_meta($post_id, '_sfba-form5-sub-heading-color', sanitize_text_field( $_POST['sfba-form5-sub-heading-color'] ) );
	  } 
	  if (isset($_POST['sfba-form5-background-color'])) {
		update_post_meta($post_id, '_sfba-form5-background-color', sanitize_text_field( $_POST['sfba-form5-background-color'] ) );
	  } 
	  if (isset($_POST['sfba-form5-heading'])) {
		update_post_meta($post_id, '_sfba-form5-heading', sanitize_text_field( $_POST['sfba-form5-heading'] ) );
	  } 
	  if (isset($_POST['sfba-form5-sub-heading'])) {
		update_post_meta($post_id, '_sfba-form5-sub-heading', sanitize_text_field( $_POST['sfba-form5-sub-heading'] ) );
	  } 
	  if (isset($_POST['sfba-form5-subscribe-button-text'])) {
		update_post_meta($post_id, '_sfba-form5-subscribe-button-text', sanitize_text_field( $_POST['sfba-form5-subscribe-button-text'] ) );
	  } 
	  if (isset($_POST['sfba-form5-border-size'])) {
		update_post_meta($post_id, '_sfba-form5-border-size', sanitize_text_field( $_POST['sfba-form5-border-size'] ) );
	  } 
	  if (isset($_POST['sfba-form5-border-style'])) {
		update_post_meta($post_id, '_sfba-form5-border-style', sanitize_text_field( $_POST['sfba-form5-border-style'] ) );
	  } 
	  if (isset($_POST['sfba-form5-border-color'])) {
		update_post_meta($post_id, '_sfba-form5-border-color', sanitize_text_field( $_POST['sfba-form5-border-color'] ) );
	  } 
	  if (isset($_POST['sfba-form5-field-border-color'])) {
		update_post_meta($post_id, '_sfba-form5-field-border-color', sanitize_text_field( $_POST['sfba-form5-field-border-color'] ) );
	  }	 
	  if (isset($_POST['sfba-form5-button-background-color'])) {
		update_post_meta($post_id, '_sfba-form5-button-background-color', sanitize_text_field( $_POST['sfba-form5-button-background-color'] ) );
	  } 
	  if (isset($_POST['sfba-form5-button-text-size'])) {
		update_post_meta($post_id, '_sfba-form5-button-text-size', sanitize_text_field( $_POST['sfba-form5-button-text-size'] ) );
	  } 
	  if (isset($_POST['sfba-form5-button-text-color'])) {
		update_post_meta($post_id, '_sfba-form5-button-text-color', sanitize_text_field( $_POST['sfba-form5-button-text-color'] ) );
	  } 
	  if (isset($_POST['sfba-form5-button-border-color'])) {
		update_post_meta($post_id, '_sfba-form5-button-border-color', sanitize_text_field( $_POST['sfba-form5-button-border-color'] ) );
	  } 

	}
	// End Form5 Saving Data

	// Form6 Saving Data
	if( get_post_meta($post->ID, '_sfba_form_template', true) !='subscribeform6' ){
		update_post_meta($post_id, '_sfba-form6-consent-on', $_POST['sfba-form6-consent-on'] );
		update_post_meta($post_id, '_sfba-form6-consent-field', $_POST['sfba-form6-consent-field'] );
		if (isset($_POST['sfba-form6-fonts'])) {
			update_post_meta($post_id, '_sfba-form6-fonts', sanitize_text_field( $_POST['sfba-form6-fonts'] ) );
		} 

	  if (isset($_POST['sfba-form6-width'])) {
		update_post_meta($post_id, '_sfba-form6-width', sanitize_text_field( $_POST['sfba-form6-width'] ) );
	  } 
	  if (isset($_POST['sfba-form6-background-image'])) {
		update_post_meta($post_id, '_sfba-form6-background-image', sanitize_text_field( $_POST['sfba-form6-background-image'] ) );
	  } 
	  if (isset($_POST['sfba-form6-background-color'])) {
		update_post_meta($post_id, '_sfba-form6-background-color', sanitize_text_field( $_POST['sfba-form6-background-color'] ) );
	  } 
	  if (isset($_POST['sfba-form6-heading'])) {
		update_post_meta($post_id, '_sfba-form6-heading', sanitize_text_field( $_POST['sfba-form6-heading'] ) );
	  } 
	  if (isset($_POST['sfba-form6-heading-color'])) {
		update_post_meta($post_id, '_sfba-form6-heading-color', sanitize_text_field( $_POST['sfba-form6-heading-color'] ) );
	  } 
	  if (isset($_POST['sfba-form6-sub-heading-color'])) {
		update_post_meta($post_id, '_sfba-form6-sub-heading-color', sanitize_text_field( $_POST['sfba-form6-sub-heading-color'] ) );
	  } 
	  if (isset($_POST['sfba-form6-sub-heading'])) {
		update_post_meta($post_id, '_sfba-form6-sub-heading', sanitize_text_field( $_POST['sfba-form6-sub-heading'] ) );
	  } 
	  if (isset($_POST['sfba-form6-subscribe-button-text'])) {
		update_post_meta($post_id, '_sfba-form6-subscribe-button-text', sanitize_text_field( $_POST['sfba-form6-subscribe-button-text'] ) );
	  } 
	  if (isset($_POST['sfba-form6-border-size'])) {
		update_post_meta($post_id, '_sfba-form6-border-size', sanitize_text_field( $_POST['sfba-form6-border-size'] ) );
	  } 
	  if (isset($_POST['sfba-form6-border-style'])) {
		update_post_meta($post_id, '_sfba-form6-border-style', sanitize_text_field( $_POST['sfba-form6-border-style'] ) );
	  } 
	  if (isset($_POST['sfba-form6-border-color'])) {
		update_post_meta($post_id, '_sfba-form6-border-color', sanitize_text_field( $_POST['sfba-form6-border-color'] ) );
	  } 
	  if (isset($_POST['sfba-form6-field-border-color'])) {
		update_post_meta($post_id, '_sfba-form6-field-border-color', sanitize_text_field( $_POST['sfba-form6-field-border-color'] ) );
	  }
	  if (isset($_POST['sfba-form6-button-background-color'])) {
		update_post_meta($post_id, '_sfba-form6-button-background-color', sanitize_text_field( $_POST['sfba-form6-button-background-color'] ) );
	  } 
	  if (isset($_POST['sfba-form6-button-text-size'])) {
		update_post_meta($post_id, '_sfba-form6-button-text-size', sanitize_text_field( $_POST['sfba-form6-button-text-size'] ) );
	  } 
	  if (isset($_POST['sfba-form6-button-text-color'])) {
		update_post_meta($post_id, '_sfba-form6-button-text-color', sanitize_text_field( $_POST['sfba-form6-button-text-color'] ) );
	  } 
	  if (isset($_POST['sfba-form6-button-border-color'])) {
		update_post_meta($post_id, '_sfba-form6-button-border-color', sanitize_text_field( $_POST['sfba-form6-button-border-color'] ) );
	  } 

	}
	// End Form6 Saving Data


	// Form7 Saving Data
	if( get_post_meta($post->ID, '_sfba_form_template', true) !='subscribeform7' ){
		update_post_meta($post_id, '_sfba-form7-consent-on', $_POST['sfba-form7-consent-on'] );
		update_post_meta($post_id, '_sfba-form7-consent-field', $_POST['sfba-form7-consent-field'] );
		update_post_meta($post_id, '_sfba-form7-display-name', $_POST['sfba-form7-display-name'] );
		if (isset($_POST['sfba-form7-field-position'])) {
			update_post_meta($post_id, '_sfba-form7-field-position', sanitize_text_field( $_POST['sfba-form7-field-position'] ) );
		} 
		
		if (isset($_POST['sfba-form7-fonts'])) {
			update_post_meta($post_id, '_sfba-form7-fonts', sanitize_text_field( $_POST['sfba-form7-fonts'] ) );
		} 

	  if (isset($_POST['sfba-form7-width'])) {
		update_post_meta($post_id, '_sfba-form7-width', sanitize_text_field( $_POST['sfba-form7-width'] ) );
	  } 
	  if (isset($_POST['sfba-form7-background-image'])) {
		update_post_meta($post_id, '_sfba-form7-background-image', sanitize_text_field( $_POST['sfba-form7-background-image'] ) );
	  } 
	  if (isset($_POST['sfba-form7-background-color'])) {
		update_post_meta($post_id, '_sfba-form7-background-color', sanitize_text_field( $_POST['sfba-form7-background-color'] ) );
	  } 
	  if (isset($_POST['sfba-form7-heading'])) {
		update_post_meta($post_id, '_sfba-form7-heading', sanitize_text_field( $_POST['sfba-form7-heading'] ) );
	  } 
	  if (isset($_POST['sfba-form7-sub-heading'])) {
		update_post_meta($post_id, '_sfba-form7-sub-heading', sanitize_text_field( $_POST['sfba-form7-sub-heading'] ) );
	  } 
			if (isset($_POST['sfba-form7-heading-color'])) {
		update_post_meta($post_id, '_sfba-form7-heading-color', sanitize_text_field( $_POST['sfba-form7-heading-color'] ) );
	  } 
	  if (isset($_POST['sfba-form7-sub-heading-color'])) {
		update_post_meta($post_id, '_sfba-form7-sub-heading-color', sanitize_text_field( $_POST['sfba-form7-sub-heading-color'] ) );
	  } 
	  if (isset($_POST['sfba-form7-subscribe-button-text'])) {
		update_post_meta($post_id, '_sfba-form7-subscribe-button-text', sanitize_text_field( $_POST['sfba-form7-subscribe-button-text'] ) );
	  } 
	  if (isset($_POST['sfba-form7-border-size'])) {
		update_post_meta($post_id, '_sfba-form7-border-size', sanitize_text_field( $_POST['sfba-form7-border-size'] ) );
	  } 
	  if (isset($_POST['sfba-form7-border-style'])) {
		update_post_meta($post_id, '_sfba-form7-border-style', sanitize_text_field( $_POST['sfba-form7-border-style'] ) );
	  } 
	  if (isset($_POST['sfba-form7-border-color'])) {
		update_post_meta($post_id, '_sfba-form7-border-color', sanitize_text_field( $_POST['sfba-form7-border-color'] ) );
	  } 
	  if (isset($_POST['sfba-form7-field-border-color'])) {
		update_post_meta($post_id, '_sfba-form7-field-border-color', sanitize_text_field( $_POST['sfba-form7-field-border-color'] ) );
	  }
	  if (isset($_POST['sfba-form7-button-background-color'])) {
		update_post_meta($post_id, '_sfba-form7-button-background-color', sanitize_text_field( $_POST['sfba-form7-button-background-color'] ) );
	  } 
	  if (isset($_POST['sfba-form7-button-text-size'])) {
		update_post_meta($post_id, '_sfba-form7-button-text-size', sanitize_text_field( $_POST['sfba-form7-button-text-size'] ) );
	  } 
	  if (isset($_POST['sfba-form7-button-text-color'])) {
		update_post_meta($post_id, '_sfba-form7-button-text-color', sanitize_text_field( $_POST['sfba-form7-button-text-color'] ) );
	  } 
	  if (isset($_POST['sfba-form7-button-border-color'])) {
		update_post_meta($post_id, '_sfba-form7-button-border-color', sanitize_text_field( $_POST['sfba-form7-button-border-color'] ) );
	  } 

	}
	// End Form7 Saving Data



	// Form8 Saving Data
	if( get_post_meta($post->ID, '_sfba_form_template', true) !='subscribeform8' ){
		update_post_meta($post_id, '_sfba-form8-consent-on', $_POST['sfba-form8-consent-on'] );
		update_post_meta($post_id, '_sfba-form8-consent-field', $_POST['sfba-form8-consent-field'] );
		
		if ( isset($_POST['sfba-form8-display-name'])) {
			update_post_meta($post_id, '_sfba-form8-display-name', '' );
		} else {
			update_post_meta($post_id, '_sfba-form8-display-name', 'yes' );
		}
		if (isset($_POST['sfba-form8-field-position'])) {
			update_post_meta($post_id, '_sfba-form8-field-position', sanitize_text_field( $_POST['sfba-form8-field-position'] ) );
		} 
		
		if (isset($_POST['sfba-form8-fonts'])) {
			update_post_meta($post_id, '_sfba-form8-fonts', sanitize_text_field( $_POST['sfba-form8-fonts'] ) );
		} 

	  if (isset($_POST['sfba-form8-width'])) {
		update_post_meta($post_id, '_sfba-form8-width', sanitize_text_field( $_POST['sfba-form8-width'] ) );
	  } 
	  if (isset($_POST['sfba-form8-background-image'])) {
		update_post_meta($post_id, '_sfba-form8-background-image', sanitize_text_field( $_POST['sfba-form8-background-image'] ) );
	  } 
	  if (isset($_POST['sfba-form8-background-color'])) {
		update_post_meta($post_id, '_sfba-form8-background-color', sanitize_text_field( $_POST['sfba-form8-background-color'] ) );
	  } 
	  if (isset($_POST['sfba-form8-heading'])) {
		update_post_meta($post_id, '_sfba-form8-heading', sanitize_text_field( $_POST['sfba-form8-heading'] ) );
	  } 
	  if (isset($_POST['sfba-form8-sub-heading'])) {
		update_post_meta($post_id, '_sfba-form8-sub-heading', sanitize_text_field( $_POST['sfba-form8-sub-heading'] ) );
	  } 
			if (isset($_POST['sfba-form8-heading-color'])) {
		update_post_meta($post_id, '_sfba-form8-heading-color', sanitize_text_field( $_POST['sfba-form8-heading-color'] ) );
	  } 
	  if (isset($_POST['sfba-form8-sub-heading-color'])) {
		update_post_meta($post_id, '_sfba-form8-sub-heading-color', sanitize_text_field( $_POST['sfba-form8-sub-heading-color'] ) );
	  } 
	  if (isset($_POST['sfba-form8-subscribe-button-text'])) {
		update_post_meta($post_id, '_sfba-form8-subscribe-button-text', sanitize_text_field( $_POST['sfba-form8-subscribe-button-text'] ) );
	  } 
	  if (isset($_POST['sfba-form8-border-size'])) {
		update_post_meta($post_id, '_sfba-form8-border-size', sanitize_text_field( $_POST['sfba-form8-border-size'] ) );
	  } 
	  if (isset($_POST['sfba-form8-border-style'])) {
		update_post_meta($post_id, '_sfba-form8-border-style', sanitize_text_field( $_POST['sfba-form8-border-style'] ) );
	  } 
	  if (isset($_POST['sfba-form8-border-color'])) {
		update_post_meta($post_id, '_sfba-form8-border-color', sanitize_text_field( $_POST['sfba-form8-border-color'] ) );
	  } 
	  if (isset($_POST['sfba-form8-field-border-color'])) {
		update_post_meta($post_id, '_sfba-form8-field-border-color', sanitize_text_field( $_POST['sfba-form8-field-border-color'] ) );
	  }
	  if (isset($_POST['sfba-form8-button-background-color'])) {
		update_post_meta($post_id, '_sfba-form8-button-background-color', sanitize_text_field( $_POST['sfba-form8-button-background-color'] ) );
	  } 
	  if (isset($_POST['sfba-form8-button-text-size'])) {
		update_post_meta($post_id, '_sfba-form8-button-text-size', sanitize_text_field( $_POST['sfba-form8-button-text-size'] ) );
	  } 
	  if (isset($_POST['sfba-form8-button-text-color'])) {
		update_post_meta($post_id, '_sfba-form8-button-text-color', sanitize_text_field( $_POST['sfba-form8-button-text-color'] ) );
	  } 
	  if (isset($_POST['sfba-form8-button-border-color'])) {
		update_post_meta($post_id, '_sfba-form8-button-border-color', sanitize_text_field( $_POST['sfba-form8-button-border-color'] ) );
	  } 
		if (isset($_POST['sfba-form8-button-text-color'])) {
		update_post_meta($post_id, '_sfba-form8-button-text-color', sanitize_text_field( $_POST['sfba-form8-button-text-color'] ) );
	  } 
	  if (isset($_POST['sfba-form8-button-border-color'])) {
		update_post_meta($post_id, '_sfba-form8-button-border-color', sanitize_text_field( $_POST['sfba-form8-button-border-color'] ) );
	  } 

	}
	// End Form8 Saving Data

	// Form9 Saving Data
	if( get_post_meta($post->ID, '_sfba_form_template', true) !='subscribeform9' ){
		update_post_meta($post_id, '_sfba-form9-consent-on', $_POST['sfba-form9-consent-on'] );
		update_post_meta($post_id, '_sfba-form9-consent-field', $_POST['sfba-form9-consent-field'] );
		update_post_meta($post_id, '_sfba-form9-display-name', $_POST['sfba-form9-display-name'] );
		if (isset($_POST['sfba-form9-field-position'])) {
			update_post_meta($post_id, '_sfba-form9-field-position', sanitize_text_field( $_POST['sfba-form9-field-position'] ) );
		} 
		
		if (isset($_POST['sfba-form9-fonts'])) {
			update_post_meta($post_id, '_sfba-form9-fonts', sanitize_text_field( $_POST['sfba-form9-fonts'] ) );
		} 
		
	  if (isset($_POST['sfba-form9-width'])) {
		update_post_meta($post_id, '_sfba-form9-width', sanitize_text_field( $_POST['sfba-form9-width'] ) );
	  } 
	  if (isset($_POST['sfba-form9-background-image'])) {
		update_post_meta($post_id, '_sfba-form9-background-image', sanitize_text_field( $_POST['sfba-form9-background-image'] ) );
	  } 
	  if (isset($_POST['sfba-form9-background-color'])) {
		update_post_meta($post_id, '_sfba-form9-background-color', sanitize_text_field( $_POST['sfba-form9-background-color'] ) );
	  } 
	  if (isset($_POST['sfba-form9-heading'])) {
		update_post_meta($post_id, '_sfba-form9-heading', sanitize_text_field( $_POST['sfba-form9-heading'] ) );
	  } 
	  if (isset($_POST['sfba-form9-sub-heading'])) {
		update_post_meta($post_id, '_sfba-form9-sub-heading', sanitize_text_field( $_POST['sfba-form9-sub-heading'] ) );
	  } 
			if (isset($_POST['sfba-form9-heading-color'])) {
		update_post_meta($post_id, '_sfba-form9-heading-color', sanitize_text_field( $_POST['sfba-form9-heading-color'] ) );
	  } 
	  if (isset($_POST['sfba-form9-sub-heading-color'])) {
		update_post_meta($post_id, '_sfba-form9-sub-heading-color', sanitize_text_field( $_POST['sfba-form9-sub-heading-color'] ) );
	  } 
	  if (isset($_POST['sfba-form9-subscribe-button-text'])) {
		update_post_meta($post_id, '_sfba-form9-subscribe-button-text', sanitize_text_field( $_POST['sfba-form9-subscribe-button-text'] ) );
	  } 
	  if (isset($_POST['sfba-form9-border-size'])) {
		update_post_meta($post_id, '_sfba-form9-border-size', sanitize_text_field( $_POST['sfba-form9-border-size'] ) );
	  } 
	  if (isset($_POST['sfba-form9-border-style'])) {
		update_post_meta($post_id, '_sfba-form9-border-style', sanitize_text_field( $_POST['sfba-form9-border-style'] ) );
	  } 
	  if (isset($_POST['sfba-form9-border-color'])) {
		update_post_meta($post_id, '_sfba-form9-border-color', sanitize_text_field( $_POST['sfba-form9-border-color'] ) );
	  } 
	  if (isset($_POST['sfba-form9-field-border-color'])) {
		update_post_meta($post_id, '_sfba-form9-field-border-color', sanitize_text_field( $_POST['sfba-form9-field-border-color'] ) );
	  }
	  if (isset($_POST['sfba-form9-button-background-color'])) {
		update_post_meta($post_id, '_sfba-form9-button-background-color', sanitize_text_field( $_POST['sfba-form9-button-background-color'] ) );
	  } 
	  if (isset($_POST['sfba-form9-button-text-size'])) {
		update_post_meta($post_id, '_sfba-form9-button-text-size', sanitize_text_field( $_POST['sfba-form9-button-text-size'] ) );
	  } 
	  if (isset($_POST['sfba-form9-button-text-color'])) {
		update_post_meta($post_id, '_sfba-form9-button-text-color', sanitize_text_field( $_POST['sfba-form9-button-text-color'] ) );
	  } 
	  if (isset($_POST['sfba-form9-button-border-color'])) {
		update_post_meta($post_id, '_sfba-form9-button-border-color', sanitize_text_field( $_POST['sfba-form9-button-border-color'] ) );
	  } 

	}
	// End Form9 Saving Data


	// Form10 Saving Data
	if( get_post_meta($post->ID, '_sfba_form_template', true) !='subscribeform10' ){
		update_post_meta($post_id, '_sfba-form10-consent-on', $_POST['sfba-form10-consent-on'] );
		update_post_meta($post_id, '_sfba-form10-consent-field', $_POST['sfba-form10-consent-field'] );
		update_post_meta($post_id, '_sfba-form10-display-name', $_POST['sfba-form10-display-name'] );
		if (isset($_POST['sfba-form10-field-position'])) {
			update_post_meta($post_id, '_sfba-form10-field-position', sanitize_text_field( $_POST['sfba-form10-field-position'] ) );
		} 
		
		if (isset($_POST['sfba-form10-fonts'])) {
			update_post_meta($post_id, '_sfba-form10-fonts', sanitize_text_field( $_POST['sfba-form10-fonts'] ) );
		} 
		
	  if (isset($_POST['sfba-form10-width'])) {
		update_post_meta($post_id, '_sfba-form10-width', sanitize_text_field( $_POST['sfba-form10-width'] ) );
	  } 
	  if (isset($_POST['sfba-form10-background-image'])) {
		update_post_meta($post_id, '_sfba-form10-background-image', sanitize_text_field( $_POST['sfba-form10-background-image'] ) );
	  } 
	  if (isset($_POST['sfba-form10-background-color'])) {
		update_post_meta($post_id, '_sfba-form10-background-color', sanitize_text_field( $_POST['sfba-form10-background-color'] ) );
	  } 
	  if (isset($_POST['sfba-form10-heading'])) {
		update_post_meta($post_id, '_sfba-form10-heading', sanitize_text_field( $_POST['sfba-form10-heading'] ) );
	  } 
	  if (isset($_POST['sfba-form10-sub-heading'])) {
		update_post_meta($post_id, '_sfba-form10-sub-heading', sanitize_text_field( $_POST['sfba-form10-sub-heading'] ) );
	  } 
			if (isset($_POST['sfba-form10-heading-color'])) {
		update_post_meta($post_id, '_sfba-form10-heading-color', sanitize_text_field( $_POST['sfba-form10-heading-color'] ) );
	  } 
	  if (isset($_POST['sfba-form10-sub-heading-color'])) {
		update_post_meta($post_id, '_sfba-form10-sub-heading-color', sanitize_text_field( $_POST['sfba-form10-sub-heading-color'] ) );
	  } 
	  if (isset($_POST['sfba-form10-subscribe-button-text'])) {
		update_post_meta($post_id, '_sfba-form10-subscribe-button-text', sanitize_text_field( $_POST['sfba-form10-subscribe-button-text'] ) );
	  } 
	  if (isset($_POST['sfba-form10-border-size'])) {
		update_post_meta($post_id, '_sfba-form10-border-size', sanitize_text_field( $_POST['sfba-form10-border-size'] ) );
	  } 
	  if (isset($_POST['sfba-form10-border-style'])) {
		update_post_meta($post_id, '_sfba-form10-border-style', sanitize_text_field( $_POST['sfba-form10-border-style'] ) );
	  } 
	  if (isset($_POST['sfba-form10-border-color'])) {
		update_post_meta($post_id, '_sfba-form10-border-color', sanitize_text_field( $_POST['sfba-form10-border-color'] ) );
	  } 
	  if (isset($_POST['sfba-form10-field-border-color'])) {
		update_post_meta($post_id, '_sfba-form10-field-border-color', sanitize_text_field( $_POST['sfba-form10-field-border-color'] ) );
	  }
	  if (isset($_POST['sfba-form10-button-background-color'])) {
		update_post_meta($post_id, '_sfba-form10-button-background-color', sanitize_text_field( $_POST['sfba-form10-button-background-color'] ) );
	  } 
	  if (isset($_POST['sfba-form10-button-text-size'])) {
		update_post_meta($post_id, '_sfba-form10-button-text-size', sanitize_text_field( $_POST['sfba-form10-button-text-size'] ) );
	  } 
	  if (isset($_POST['sfba-form10-button-text-color'])) {
		update_post_meta($post_id, '_sfba-form10-button-text-color', sanitize_text_field( $_POST['sfba-form10-button-text-color'] ) );
	  } 
	  if (isset($_POST['sfba-form10-button-border-color'])) {
		update_post_meta($post_id, '_sfba-form10-button-border-color', sanitize_text_field( $_POST['sfba-form10-button-border-color'] ) );
	  } 

	}
	// End Form10 Saving Data


	// Form11 Saving Data
	if( get_post_meta($post->ID, '_sfba_form_template', true) !='subscribeform11' ){
		update_post_meta($post_id, '_sfba-form11-consent-on', $_POST['sfba-form11-consent-on'] );
		update_post_meta($post_id, '_sfba-form11-consent-field', $_POST['sfba-form11-consent-field'] );
		
		if ( isset($_POST['sfba-form11-display-name'])) {
			update_post_meta($post_id, '_sfba-form11-display-name', '' );
		} else {
			update_post_meta($post_id, '_sfba-form11-display-name', 'yes' );
		}
		if (isset($_POST['sfba-form11-field-position'])) {
			update_post_meta($post_id, '_sfba-form11-field-position', sanitize_text_field( $_POST['sfba-form11-field-position'] ) );
		} 
		
		if (isset($_POST['sfba-form11-fonts'])) {
			update_post_meta($post_id, '_sfba-form11-fonts', sanitize_text_field( $_POST['sfba-form11-fonts'] ) );
		} 

	  if (isset($_POST['sfba-form11-width'])) {
		update_post_meta($post_id, '_sfba-form11-width', sanitize_text_field( $_POST['sfba-form11-width'] ) );
	  } 
	  if (isset($_POST['sfba-form-background-image'])) {
		update_post_meta($post_id, '_sfba-form-background-image', sanitize_text_field( $_POST['sfba-form-background-image'] ) );
	  } 
	  if (isset($_POST['sfba-form11-background-color'])) {
		update_post_meta($post_id, '_sfba-form11-background-color', sanitize_text_field( $_POST['sfba-form11-background-color'] ) );
	  } 
	  if (isset($_POST['sfba-form11-heading'])) {
		update_post_meta($post_id, '_sfba-form11-heading', sanitize_text_field( $_POST['sfba-form11-heading'] ) );
	  } 
	  if (isset($_POST['sfba-form11-sub-heading'])) {
		update_post_meta($post_id, '_sfba-form11-sub-heading', sanitize_text_field( $_POST['sfba-form11-sub-heading'] ) );
	  } 
			if (isset($_POST['sfba-form11-heading-color'])) {
		update_post_meta($post_id, '_sfba-form11-heading-color', sanitize_text_field( $_POST['sfba-form11-heading-color'] ) );
	  } 
	  if (isset($_POST['sfba-form11-sub-heading-color'])) {
		update_post_meta($post_id, '_sfba-form11-sub-heading-color', sanitize_text_field( $_POST['sfba-form11-sub-heading-color'] ) );
	  } 
	  if (isset($_POST['sfba-form11-subscribe-button-text'])) {
		update_post_meta($post_id, '_sfba-form11-subscribe-button-text', sanitize_text_field( $_POST['sfba-form11-subscribe-button-text'] ) );
	  } 
	  if (isset($_POST['sfba-form11-border-size'])) {
		update_post_meta($post_id, '_sfba-form11-border-size', sanitize_text_field( $_POST['sfba-form11-border-size'] ) );
	  } 
	  if (isset($_POST['sfba-form11-border-style'])) {
		update_post_meta($post_id, '_sfba-form11-border-style', sanitize_text_field( $_POST['sfba-form11-border-style'] ) );
	  } 
	  if (isset($_POST['sfba-form11-border-color'])) {
		update_post_meta($post_id, '_sfba-form11-border-color', sanitize_text_field( $_POST['sfba-form11-border-color'] ) );
	  } 
	  if (isset($_POST['sfba-form11-field-border-color'])) {
		update_post_meta($post_id, '_sfba-form11-field-border-color', sanitize_text_field( $_POST['sfba-form11-field-border-color'] ) );
	  }	  
	  if (isset($_POST['sfba-form11-button-background-color'])) {
		update_post_meta($post_id, '_sfba-form11-button-background-color', sanitize_text_field( $_POST['sfba-form11-button-background-color'] ) );
	  } 
	  if (isset($_POST['sfba-form11-button-text-size'])) {
		update_post_meta($post_id, '_sfba-form11-button-text-size', sanitize_text_field( $_POST['sfba-form11-button-text-size'] ) );
	  } 
	  if (isset($_POST['sfba-form11-button-text-color'])) {
		update_post_meta($post_id, '_sfba-form11-button-text-color', sanitize_text_field( $_POST['sfba-form11-button-text-color'] ) );
	  } 
	  if (isset($_POST['sfba-form11-button-border-color'])) {
		update_post_meta($post_id, '_sfba-form11-button-border-color', sanitize_text_field( $_POST['sfba-form11-button-border-color'] ) );
	  } 

	}
	// End Form11 Saving Data


	// Form12 Saving Data
	if( get_post_meta($post->ID, '_sfba_form_template', true) !='subscribeform12' ){
		update_post_meta($post_id, '_sfba-form12-consent-on', $_POST['sfba-form12-consent-on'] );
		update_post_meta($post_id, '_sfba-form12-consent-field', $_POST['sfba-form12-consent-field'] );
		update_post_meta($post_id, '_sfba-form12-display-name', $_POST['sfba-form12-display-name'] );
		if (isset($_POST['sfba-form12-field-position'])) {
			update_post_meta($post_id, '_sfba-form12-field-position', sanitize_text_field( $_POST['sfba-form12-field-position'] ) );
		} 
		
		if (isset($_POST['sfba-form12-fonts'])) {
			update_post_meta($post_id, '_sfba-form12-fonts', sanitize_text_field( $_POST['sfba-form12-fonts'] ) );
		} 
		
	  if (isset($_POST['sfba-form12-width'])) {
		update_post_meta($post_id, '_sfba-form12-width', sanitize_text_field( $_POST['sfba-form12-width'] ) );
	  } 
	  if (isset($_POST['sfba-form12-background-image'])) {
		update_post_meta($post_id, '_sfba-form12-background-image', sanitize_text_field( $_POST['sfba-form12-background-image'] ) );
	  } 
	  if (isset($_POST['sfba-form12-background-color'])) {
		update_post_meta($post_id, '_sfba-form12-background-color', sanitize_text_field( $_POST['sfba-form12-background-color'] ) );
	  } 
	  if (isset($_POST['sfba-form12-heading'])) {
		update_post_meta($post_id, '_sfba-form12-heading', sanitize_text_field( $_POST['sfba-form12-heading'] ) );
	  } 
	  if (isset($_POST['sfba-form12-sub-heading'])) {
		update_post_meta($post_id, '_sfba-form12-sub-heading', sanitize_text_field( $_POST['sfba-form12-sub-heading'] ) );
	  } 
			if (isset($_POST['sfba-form12-heading-color'])) {
		update_post_meta($post_id, '_sfba-form12-heading-color', sanitize_text_field( $_POST['sfba-form12-heading-color'] ) );
	  } 
	  if (isset($_POST['sfba-form12-sub-heading-color'])) {
		update_post_meta($post_id, '_sfba-form12-sub-heading-color', sanitize_text_field( $_POST['sfba-form12-sub-heading-color'] ) );
	  } 
	  if (isset($_POST['sfba-form12-subscribe-button-text'])) {
		update_post_meta($post_id, '_sfba-form12-subscribe-button-text', sanitize_text_field( $_POST['sfba-form12-subscribe-button-text'] ) );
	  } 
	  if (isset($_POST['sfba-form12-border-size'])) {
		update_post_meta($post_id, '_sfba-form12-border-size', sanitize_text_field( $_POST['sfba-form12-border-size'] ) );
	  } 
	  if (isset($_POST['sfba-form12-border-style'])) {
		update_post_meta($post_id, '_sfba-form12-border-style', sanitize_text_field( $_POST['sfba-form12-border-style'] ) );
	  } 
	  if (isset($_POST['sfba-form12-border-color'])) {
		update_post_meta($post_id, '_sfba-form12-border-color', sanitize_text_field( $_POST['sfba-form12-border-color'] ) );
	  } 
	  if (isset($_POST['sfba-form12-name-field-border-color'])) {
		update_post_meta($post_id, '_sfba-form12-name-field-border-color', sanitize_text_field( $_POST['sfba-form12-name-field-border-color'] ) );
	  }
	  if (isset($_POST['sfba-form12-email-field-border-color'])) {
		update_post_meta($post_id, '_sfba-form12-email-field-border-color', sanitize_text_field( $_POST['sfba-form12-email-field-border-color'] ) );
	  } 
	  if (isset($_POST['sfba-form12-button-background-color'])) {
		update_post_meta($post_id, '_sfba-form12-button-background-color', sanitize_text_field( $_POST['sfba-form12-button-background-color'] ) );
	  } 
	  if (isset($_POST['sfba-form12-button-text-size'])) {
		update_post_meta($post_id, '_sfba-form12-button-text-size', sanitize_text_field( $_POST['sfba-form12-button-text-size'] ) );
	  } 
	  if (isset($_POST['sfba-form12-button-text-color'])) {
		update_post_meta($post_id, '_sfba-form12-button-text-color', sanitize_text_field( $_POST['sfba-form12-button-text-color'] ) );
	  } 
	  if (isset($_POST['sfba-form12-button-border-color'])) {
		update_post_meta($post_id, '_sfba-form12-button-border-color', sanitize_text_field( $_POST['sfba-form12-button-border-color'] ) );
	  } 

	}
	// End Form12 Saving Data

}