<?php
class p_subscribe {
    private static $instance;

    private function __construct() {
        add_filter('plugin_action_links_' . P_SUBSCRIBE_PLUGIN_BASE, [$this, 'plugin_action_links']);
        add_action('admin_enqueue_scripts', array($this, 'admin_styles'));
        add_action('admin_init', array($this, 'admin_init'));
    }

    public function plugin_action_links($links)
    {
        $links['pro'] = '<a class="upgrade-button" href="'.admin_url("edit.php?post_type=sfba_subscribe_form&page=upgrade_to_pro").'" >'.__( 'Upgrade', 'subscribe-form').'</a>';
        return $links;
    }

    public static function get_instance() {
        if (empty(self::$instance)) {
            self::$instance = new p_subscribe();
        }
        return self::$instance;
    }

    function admin_styles()
    {
        wp_register_style('wcp-css-handle', false);
        wp_enqueue_style('wcp-css-handle');
        $css = "
				.upgrade-button {color: #FF5983; font-weight: bold;}
			";
        wp_add_inline_style('wcp-css-handle', $css);
    }

    function admin_init() {
        $option = get_option("subscribe_forms_redirect_status", true);
        if ($option == "on") {
            update_option("subscribe_forms_redirect_status", "off");
            wp_redirect(admin_url("post-new.php?post_type=sfba_subscribe_form"));
            exit;
        }
    }
}
p_subscribe::get_instance();